/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Stages
 */
public enum EnumCV_Stages {
	
	STAGE_0_R_41177("R-41177"),
	STAGE_1_R_41DA8("R-41DA8"),
	STAGE_2_R_41DAC("R-41DAC"),
	STAGE_3_R_41DB0("R-41DB0"),
	STAGE_4_R_41DB4("R-41DB4"),
	STAGE_5_R_4117B("R-4117B");
	private String value;
	
	EnumCV_Stages(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
